### Enumeration

# GUsb DeviceError

#### Declaration

    enum GUsb.DeviceError

#### Description

The error code.

#### Members

Name | Description
--- | ---
`G_USB_DEVICE_ERROR_INTERNAL` | No description available.
`G_USB_DEVICE_ERROR_IO` | No description available.
`G_USB_DEVICE_ERROR_TIMED_OUT` | No description available.
`G_USB_DEVICE_ERROR_NOT_SUPPORTED` | No description available.
`G_USB_DEVICE_ERROR_NO_DEVICE` | No description available.
`G_USB_DEVICE_ERROR_NOT_OPEN` | No description available.
`G_USB_DEVICE_ERROR_ALREADY_OPEN` | No description available.
`G_USB_DEVICE_ERROR_CANCELLED` | No description available.
`G_USB_DEVICE_ERROR_FAILED` | No description available.
`G_USB_DEVICE_ERROR_PERMISSION_DENIED` | No description available.
`G_USB_DEVICE_ERROR_LAST` | No description available.